---
title: ora install
keywords: documentation
layout: documentation
sidebar: _sidebar
toc: false
---
## Overview

Start the setup for applying ora_install classes.

## Attributes



Attribute Name                    | Short Description                                  |
--------------------------------- | -------------------------------------------------- |
[ensure](#ora_install_ensure)     | The basic property that the resource should be in. |
[name](#ora_install_name)         | The name
                                          |
[provider](#ora_install_provider) | resource.                                          |




### ensure<a name='ora_install_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of ora_install](#attributes)

### name<a name='ora_install_name'>

The name



[Back to overview of ora_install](#attributes)

### provider<a name='ora_install_provider'>

The specific backend to use for this `ora_install`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage ora_install class setup



[Back to overview of ora_install](#attributes)
