Prepare autostart of the database for linux.

This defined creates the script needed to start the database after a system reboot. It supports both `systemd` and the older startup scripts.

Here is an example on how to use it:

```puppet
  ora_install::prepareautostart {'DB1':
    oracle_home  => '/oracle/db1',
    user         => 'oracle',
    service_name => 'start_db1',
  }
```

<%- include_attributes [
  :oracle_home,
  :user,
  :service_name,
  :logoutput,
]%>
