---
layout: documentation
title: Supported versions
keywords: supported versions Oracle OS Puppet
sidebar: ora_install_sidebar
toc: true
---

The `ora_install` module contains support for a broad range of versions and editions. Both in the Puppet eco-system as well as in the Oracle database world. Check the list below if your combination of products is supported. Contact us if your situation is not on the list. There are a lot more options possible.

## OS-es

- Redhat 5,6 and 7
- CentOS 5,6,7
- OracleLinux 4,5,6 and 7
- Solaris 10 and 11

## Puppet versions

- Puppet open source 2.7 and higher
- Puppet Enterprise 2.7 and higher including the new versions 2015.x and higher
- Foreman all versions using Puppet 2.7 or higher

## Oracle editions

- Enterprise Edition
- Standard Edition
- Standard Edition One
- Express Edition (XE)

## Oracle versions

Oracle 11 including all patch levels & Oracle 12 and Oracle 18 including all patch levels

## Oracle Grid

- Version 11.2.0.4 on Linux and Solaris
- Version 12.1.0.1, 12.1.0.2  and Oracle 18 on Linux and Solaris

## Oracle Database Client

- Version 11 including all patch levels, Linux only
- Version 12 including all patch levels, Linux only
- Version 18 including all patch levels, Linux only

## GoldenGate
- Version 11.2.1
- Version 12.1.2
- Version 12.3

## Enterprise Manager:
- Version 12.1.0.4
- Version 12c
- Version 13.1
- Version 13.2
