Prepare autostart of the database for linux.

This class creates the script needed to start the database after a system reboot. It supports both `systemd` and the older startup scripts.

Here is an example on how to use it:

```puppet
  class { 'class ora_install::prepareautostart':
    oracle_home  => '/oracle/db1',
    user         => 'oracle',
    service_name => 'start_db1',
  }
```
This class is a conveniance class arround the defined type `prepareautostart_for`.

<%- include_attributes [
  :oracle_home,
  :user,
  :service_name,
  :logoutput,
]%>
